Subject: [SIP] RE: Encryption in bis-02

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 1 Jun 2001 04:23:17 -0400

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, May 10, 2001 9:52 AM
> To: [email-masked]; Jonathan Rosenberg
> Subject: Encryption in bis-02
> 
> 
> 
> 
> Hi,
>    In the  draft-ietf-sip-rfc2543bis-02(Nov 2000), in the 
> section 13.1.1
> describing the End -to -End Encryption,
>    it refers to enc. column in Table 4,5 for the 
> specification of headers
> which must not be encrypted.
>    But, the Table4 and Table 5 don't seem to have that column at all.
> 
>   The RFC 2543(March 1999) has this column.
>   Can I know,why was this removed in  the bis-02?

This was an error that has been fixed in -03. Section 10 says:

The "proxy" column describes whether proxies can add comma-separated
elements to headers ("c", for
concatenate or comma), can modify the header ("m"), can add the header if
not present ("a") or need to
read the header ("r"). Headers that need to be read cannot be encrypted.

And section 18.1.1 says:

The "proxy" column describes whether proxies can add comma-separated
elements to headers ("c", for
concatenate or comma), can modify the header ("m"), can add the header if
not present ("a") or need to
read the header ("r"). Headers that need to be read cannot be encrypted.

which is now consistent.

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.